OpenNMS API 1.2.9

## org.opennms.netmgt.mock
Class MockNetworkTest.MockNetworkInterface

    java.lang.Object
      org.opennms.netmgt.poller.monitors.IPv4NetworkInterface
          org.opennms.netmgt.mock.MockNetworkTest.MockNetworkInterface

All Implemented Interfaces:
  NetworkInterface

Enclosing class:
  MockNetworkTest

static class MockNetworkTest.MockNetworkInterface
extends IPv4NetworkInterface

Field Summary

Fields inherited from class org.opennms.netmgt.poller.monitors.IPv4NetworkInterface
`m_address`

Fields inherited from interface org.opennms.netmgt.poller.monitors.NetworkInterface
`TYPE_IPV4, TYPE_UNKNOWN`

Constructor Summary
`MockNetworkTest.MockNetworkInterface(java.lang.String addr)`

Methods inherited from class org.opennms.netmgt.poller.monitors.IPv4NetworkInterface
`getAddress, getAttribute, getType, setAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockNetworkTest.MockNetworkInterface

    public MockNetworkTest.MockNetworkInterface(java.lang.String addr)
                                         throws java.net.UnknownHostException

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.